package com.ruoyi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.domain.CarReviewTask;
import com.ruoyi.service.CarReviewTaskService;
import com.ruoyi.mapper.CarReviewTaskMapper;
import com.ruoyi.web.request.CarReviewTaskCreateRequest;
import com.ruoyi.web.request.CarReviewTaskStartRequest;
import com.ruoyi.web.request.CarReviewTaskSubmitRequest;
import com.ruoyi.web.response.SystemReviewTaskViewResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
* @author wangfei
* @description 针对表【t_car_review_task(车型审查任务)】的数据库操作Service实现
* @createDate 2024-01-08 13:14:13
*/
@Transactional
@Service
public class CarReviewTaskServiceImpl extends ServiceImpl<CarReviewTaskMapper, CarReviewTask>
    implements CarReviewTaskService{

    @Autowired
    private CarReviewTaskMapper carReviewTaskMapper;

    @Override
    public List<CarReviewTask> findListByReviewStatus(String reviewStatus) {
        return carReviewTaskMapper.findListByReviewStatus(reviewStatus);
    }

    @Override
    public void createTask(CarReviewTaskCreateRequest request) {

    }

    @Override
    public SystemReviewTaskViewResponse view(Long taskId) {
        return null;
    }

    @Override
    public void startReviewTask(CarReviewTaskStartRequest request) {

    }

    @Override
    public void submitReviewTask(CarReviewTaskSubmitRequest request) {

    }

    @Override
    public List<CarReviewTask> findListByStatus(String status) {
        return null;
    }

    @Override
    public List<CarReviewTask> findListInProcess() {
        return null;
    }
}




